<div class="card-checklist">
    <div class="card-checklist__name">{{ cardChecklist.name }}</div>
    <div class="card-checklist__item" *ngFor="let item of cardChecklist.items" (mouseover)="onItemMouseover(element)" (mouseout)="onItemMouseout(element)" #element>
        <input type="checkbox" [attr.checked]="item.checked ? 'true' : undefined" (click)="check(item.id)">&nbsp;
        <span [ngClass]="item.checked ? 'card-checklist__item-content--checked' : 'card-checklist__item-content'">{{ item.content }}</span>&nbsp;
        <a class="card-checklist__item-delete-btn" (click)="delete(item)" name="deleteEl">delete</a>
    </div>
    <app-item-creation class="card-checklist__item-creation" (added)="onItemAdded($event)"></app-item-creation>
</div>